#!/usr/bin/perl

#	List filter.pl; an example list filter for Info-Mac's all-files.txt
#		This script extracts lines containing files from a directory dump
#
#		12/20/95 Version 1.0
#		This script is free, public domain, no strings attached.
# 	Igor Livshits <igorl@uiuc.edu>


$openToWrite= 			"> ";
$newLineDelimiter=	"\n";
$spaceDelimiter=		" ";
$argumentCounter=		0;
$realFileTag=				"-r";


#	Read in the arguments passed to us by the caller
#
$sourceFile=  			$ARGV[$argumentCounter++];
$targetFile=  			$ARGV[$argumentCounter++];

# Extract just the file names
#
open(sourceFile, $sourceFile) || die "Cannot open $sourceFile: $!";
open(targetFile, $openToWrite . $targetFile) || die "Cannot open $targetFile: $!";
	
while ($aLine= <sourceFile>)
{										  																		# Scan the input file line by line
	if ($aLine =~ /^$realFileTag/)
	{									  																		# Data files are listed on lines that start with a -r
		@aLine= split($spaceDelimiter, $aLine);								# File names do not contain spaces
		print (targetFile (pop(@aLine)));											# And the last such item is the file path and name
	}
}

close(sourceFile);
close(targetFile);
